/*******************************************************************************
 * This file is part of Jake Todaro and Pragathi Balasubramanian's MQP.
 * Software Process Configurator MQP
 * Advised by Professor Gary Pollice
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Jake Todaro
 *******************************************************************************/

package dialog;

public class Expected {

	public static SubDialog getExpectedSubDialog(){
		SubDialog expected = new SubDialog("testSubDialog");
		
		Question q1 = new Question(1, "Are you hungry or thirsty?");
		q1.addAnswer(new Answer(1, "Hungry"));
		q1.addAnswer(new Answer(2, "Thirsty"));
		expected.addQuestion(q1);
	
		Question q2 = new Question(2, "Are you 21+?");
		q2.addAnswer(new Answer(1, "Yes"));
		q2.addAnswer(new Answer(2, "No?"));
		q2.setTrigger(q1.getAnswerList().get(0));
		expected.addQuestion(q2);
		
		Question q3 = new Question(3, "Are you hungry or thirsty?");
		q3.addAnswer(new Answer(1, "A quick snack"));
		q3.addAnswer(new Answer(2, "Fast food"));
		q3.addAnswer(new Answer(3, "Casual lunch"));
		q3.addAnswer(new Answer(4, "Formal dinner"));
		expected.addQuestion(q3);
		
		return expected;
	}
}
