/*******************************************************************************
 * This file is part of Jake Todaro and Pragathi Balasubramanian's MQP.
 * Software Process Configurator MQP
 * Advised by Professor Gary Pollice
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Jake Todaro
 *******************************************************************************/

package booleanExpression;

/** this class is a test BooleanValue that always returns true.
 * this class is used in testing to replace actual BooleanValues.
 * 
 * @author jake todaro
 * @version 12/23/11
 */

public class TrueBooleanAtom implements BooleanValue{

	@Override
	public boolean value() {
		return true;
	}
}
