/*******************************************************************************
 * This file is part of the Software Process Configurator MQP
 * Project Members: Wesley Ripley, Adam Talbot.
 * Project Advisor: Gary Pollice
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Wesley Ripley, Adam Talbot
 *******************************************************************************/

package value.valueData;

/**
 * An enumeration of the types of ValueData.  They describe
 * operations between numbers.
 * @author Wesley Ripley, Adam Talbot
 * @version 2/20/13
 */
public enum ValueDataType {
	SINGLE, LESS_THAN, GREATER_THAN, BETWEEN, NOT;
}
