
package database;

import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

import value.valueData.ValueType;

import attribute.AttributeDescription;
import attribute.AttributeReference;

public class SoftEngDB {
	
	private AttributeReference attributeReference;
	private Database db;
	private String dbLoc;
	
	@Before
	public void setUp() throws Exception {
		attributeReference = new AttributeReference();
		db = new Db4oDatabase();
		dbLoc = "db/SpcDB";
		//File dbclean = new File(dbLoc);
		//dbclean.delete();
	}
	
	@Ignore
	@Test
	public void testCreateDB(){
		db.use(dbLoc);
		attributeReference.addAttribute(new AttributeDescription("teamSize", ValueType.INT));
		attributeReference.addAttribute(new AttributeDescription("deadline", ValueType.BOOLEAN));
		attributeReference.addAttribute(new AttributeDescription("projectTimeWeeks", ValueType.INT));
		attributeReference.addAttribute(new AttributeDescription("mustUseTDD", ValueType.BOOLEAN));
		attributeReference.addAttribute(new AttributeDescription("mustUseGit", ValueType.BOOLEAN));
		attributeReference.addAttribute(new AttributeDescription("hasGitUser", ValueType.BOOLEAN));
		attributeReference.addAttribute(new AttributeDescription("mustUseSVN", ValueType.BOOLEAN));
		attributeReference.addAttribute(new AttributeDescription("hasSVNUser", ValueType.BOOLEAN));
		db.store(attributeReference);
		db.close();
	}
	

}
