/*******************************************************************************
 * This file is part of Jake Todaro and Pragathi Balasubramanian's MQP.
 * Software Process Configurator MQP
 * Advised by Professor Gary Pollice
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Jake Todaro
 *******************************************************************************/

package booleanExpression;

/** this class represents an or expression that the dialog
 * writer can use to define more complex triggers.
 * 
 * @author jake todaro
 * @version 12/23/11
 */

public class OrExpression extends BooleanExpression{

	@Override
	public boolean value() {
		
		for(int i = 0; i < atoms.size(); i++){
			if(atoms.get(i).value()){
				return true;
			}
		}
		return false;
	}
}