/*******************************************************************************
 * This file is part of Jake Todaro and Pragathi Balasubramanian's MQP.
 * Software Process Configurator MQP
 * Advised by Professor Gary Pollice
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Jake Todaro
 *******************************************************************************/

package database;

/** this error is thrown when attempting to access a database element (Asset or Tag)
 * that does not exist 
 * 
 * @author jake todaro
 * @version 3/27/12
 */

@SuppressWarnings("serial")
public class DatabaseItemNotFoundException extends Exception{
	public DatabaseItemNotFoundException(String msg){
		super(msg);
	}
}
