/*******************************************************************************
 * This file is part of the Software Process Configurator MQP
 * Project Members: Wesley Ripley, Adam Talbot.
 * Project Advisor: Gary Pollice
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Wesley Ripley, Adam Talbot
 *******************************************************************************/

package dsl;

import org.antlr.runtime.Token;
import org.antlr.runtime.tree.CommonTreeAdaptor;

public class SpcASTAdaptor extends CommonTreeAdaptor {
	
	/**
	 * Default constructor
	 */
	public SpcASTAdaptor()
	{
		super();
	}

	/* (non-Javadoc)
	 * @see org.antlr.runtime.tree.CommonTreeAdaptor#create(org.antlr.runtime.Token)
	 */
	@Override
	public Object create(Token payload)
	{
		return new SpcAST(payload);
	}
	
	/* (non-Javadoc)
	 * @see org.antlr.runtime.tree.CommonTreeAdaptor#dupNode(java.lang.Object)
	 */
	@Override
	public SpcAST dupNode(Object t)
	{
		if (t == null) return null;
		return ((SpcAST)t).dupNode();
	}

}
