/*******************************************************************************
 * This file is part of the Software Process Configurator MQP
 * Project Members: Wesley Ripley, Adam Talbot.
 * Project Advisor: Gary Pollice
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Wesley Ripley, Adam Talbot
 *******************************************************************************/

package recommendationView;

import java.util.Map;

public interface Templateable {
	
	/**
	 * Gets the Map of template tags to what they should be replaced by
	 * @return A Map of Strings to Strings
	 */
	Map<String, String> getTemplateTags();

}
